List all subscription payments

Returns a paginated list of your subscription payments. The subscription payments are sorted in order, with the most recent payments appearing first.

GET/v1/subscription-payments/

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Query Parameters

subscriptionId?string

Unique identifier. Must be in BSON ObjectId format.

Match^[0-9a-fA-F]{24}$
customerId?string

Unique identifier. Must be in BSON ObjectId format.

Match^[0-9a-fA-F]{24}$
pageId?string

Unique identifier. Must be in BSON ObjectId format.

Match^[0-9a-fA-F]{24}$
paymentStatus?string
Value in"succeeded" | "pending" | "failed" | "incomplete"
paid?string
Value in"true" | "false"
refunded?string
Value in"true" | "false"
billingReason?string
Value in"manual" | "subscription_create" | "subscription_cycle" | "subscription_threshold" | "subscription_update" | "upcoming"
createdAfter?string
Formatdate-time
createdBefore?string
Formatdate-time
livemode?string

Set to false to return test-mode records created while a page was in test mode. Defaults to the mode of the API key. Test API keys can only read test data.

Value in"true" | "false"
limit?string

The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.

starting_after?string

A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.

Match^[0-9a-fA-F]{24}$
ending_before?string

A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.

Match^[0-9a-fA-F]{24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/subscription-payments/"
{
  "data": [
    {
      "id": "507f1f77bcf86cd799439011",
      "subscriptionId": "string",
      "customerId": "string",
      "pageId": "string",
      "productId": "string",
      "sellerId": "string",
      "transactionIds": [
        "string"
      ],
      "customerEmail": "string",
      "customerName": "string",
      "productTitle": "string",
      "pageSlug": "string",
      "currency": "usd",
      "amount": 0,
      "amountUsd": 0,
      "livemode": true,
      "paymentStatus": "succeeded",
      "invoiceStatus": "draft",
      "paid": true,
      "refunded": true,
      "partiallyRefunded": true,
      "billingReason": "manual",
      "paymentMethod": {
        "gateway": "stripe",
        "method": "string",
        "wallet": "string",
        "mode": "default",
        "brand": "string",
        "last4": "string",
        "country": "string",
        "exp_month": 0,
        "exp_year": 0,
        "expMonth": 0,
        "expYear": 0,
        "funding": "string"
      },
      "stripeSubscriptionId": "string",
      "stripePaymentId": "string",
      "stripePaymentIntentId": "string",
      "stripeInvoiceId": "string",
      "stripeInvoicePdf": "string",
      "stripeRefundInvoicePdf": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "has_more": true
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}